<?php

/**
 * The Purify Configuration File.
 *
 * The configuration settings array is passed directly to HTMLPurifier.
 * Feel free to add / remove / customize these attributes as you wish.
 *
 * @documentation http://htmlpurifier.org/live/configdoc/plain.html
 */
return [

    'settings' => [

        /*
         * The encoding to convert input to.
         *
         * http://htmlpurifier.org/live/configdoc/plain.html#Core.Encoding
         */
        'Core.Encoding' => 'utf-8',

        /*
         * The HTML purifier serializer cache path.
         *
         * http://htmlpurifier.org/live/configdoc/plain.html#Cache.SerializerPath
         */
        'Cache.SerializerPath' => storage_path('purify'),

        /*
         * Doctype to use during filtering.
         *
         * http://htmlpurifier.org/live/configdoc/plain.html#HTML.Doctype
         */
        'HTML.Doctype' => 'XHTML 1.0 Strict',

        /*
         * The allowed HTML Elements with their allowed attributes.
         *
         * http://htmlpurifier.org/live/configdoc/plain.html#HTML.Allowed
         */
        'HTML.Allowed' => 'div,b,strong,i,em,a[href|title],ul,ol,li,p[style],br,span[style],img[width|height|alt|src]',

        /*
         * The forbidden HTML elements. Elements that are listed in
         * this string will be removed, however their content will remain.
         *
         * For example if 'p' is inside the string, the string: '<p>Test</p>',
         *
         * Will be cleaned to: 'Test'
         *
         * http://htmlpurifier.org/live/configdoc/plain.html#HTML.ForbiddenElements
         */
        'HTML.ForbiddenElements' => '',

        /*
         * The Allowed CSS properties.
         *
         * http://htmlpurifier.org/live/configdoc/plain.html#CSS.AllowedProperties
         */
        'CSS.AllowedProperties' => 'font,font-size,font-weight,font-style,font-family,text-decoration,padding-left,color,background-color,text-align',

        /*
         * This directive turns on auto-paragraphing, where double
         * newlines are converted in to paragraphs whenever possible.
         *
         * http://htmlpurifier.org/live/configdoc/plain.html#AutoFormat.AutoParagraph
         */
        'AutoFormat.AutoParagraph' => false,

        /*
         * When enabled, HTML Purifier will attempt to remove empty
         * elements that contribute no semantic information to the document.
         *
         * http://htmlpurifier.org/live/configdoc/plain.html#AutoFormat.RemoveEmpty
         */
        'AutoFormat.RemoveEmpty' => false,

    ],

];
